sayren Docs
출고지·반품지

출고지·반품지 수정

PUT
/v1/seller-addresses/{addressId}
AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Path Parameters

addressId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

type*string

Value in

  • "SHIPPING"
  • "RETURN"
name*string
Length1 <= length <= 50
contactName*string
Length1 <= length
phone*string
Match^01[0-9]{8,9}$
zipCode*string
Match^[0-9]{5}$
address1*string
Length1 <= length
address2?string

Response Body

application/json

curl -X PUT "https://example.com/v1/seller-addresses/string" \  -H "Content-Type: application/json" \  -d '{    "type": "SHIPPING",    "name": "string",    "contactName": "string",    "phone": "string",    "zipCode": "string",    "address1": "string"  }'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "addressId": "string",    "type": "SHIPPING",    "name": "string",    "isDefault": true,    "contactName": "string",    "phone": "string",    "zipCode": "string",    "address1": "string",    "address2": "string",    "createdAt": "string"  },  "error": null}